diff -upr ioquake3svn1438/code/q3_ui/ui_controls2.c ioquake3serverFix/code/q3_ui/ui_controls2.c
--- ioquake3svn1438/code/q3_ui/ui_controls2.c	2008-07-05 15:30:26.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_controls2.c	2008-08-09 11:28:12.000000000 -0500
@@ -103,30 +103,24 @@ typedef struct
 #define ID_WEAPON7		23	
 #define ID_WEAPON8		24	
 #define ID_WEAPON9		25	
-#define ID_WEAPON11		26 //Nailgun
-#define ID_WEAPON12		27 //ProxMines
-#define ID_WEAPON13		28 //Chaingun
-#define ID_ATTACK		29
-#define ID_WEAPPREV		30
-#define ID_WEAPNEXT		31
-#define ID_GESTURE		32
-#define ID_CHAT			33
-#define ID_CHAT2		34
-#define ID_CHAT3		35
-#define ID_CHAT4		36
-#define ID_VOIP_TALK		37
+#define ID_ATTACK		26
+#define ID_WEAPPREV		27
+#define ID_WEAPNEXT		28
+#define ID_GESTURE		29
+#define ID_CHAT			30
+#define ID_CHAT2		31
+#define ID_CHAT3		32
+#define ID_CHAT4		33
 
 // all others
-#define ID_FREELOOK		38
-#define ID_INVERTMOUSE	39
-#define ID_ALWAYSRUN	40
-#define ID_AUTOSWITCH	41
-#define ID_MOUSESPEED	42
-#define ID_JOYENABLE	43
-#define ID_JOYTHRESHOLD	44
-#define ID_SMOOTHMOUSE	45
-
-
+#define ID_FREELOOK		34
+#define ID_INVERTMOUSE	35
+#define ID_ALWAYSRUN	36
+#define ID_AUTOSWITCH	37
+#define ID_MOUSESPEED	38
+#define ID_JOYENABLE	39
+#define ID_JOYTHRESHOLD	40
+#define ID_SMOOTHMOUSE	41
 
 #define ANIM_IDLE		0
 #define ANIM_RUN		1
@@ -155,11 +149,6 @@ typedef struct
 #define ANIM_DIE		24
 #define ANIM_CHAT		25
 
-//New in Beta 23
-#define ANIM_WEAPON11	26 //Nailgun
-#define ANIM_WEAPON12	27 //ProxMines
-#define ANIM_WEAPON13	28 //Chaingun
-
 typedef struct
 {
 	menuframework_s		menu;
@@ -193,11 +182,6 @@ typedef struct
 	menuaction_s		railgun;
 	menuaction_s		plasma;
 	menuaction_s		bfg;
-        //New in Beta 23
-        menuaction_s		nailgun;
-        menuaction_s		proxmine;
-        menuaction_s		chaingun;
-        //New in 23 end
 	menuaction_s		attack;
 	menuaction_s		prevweapon;
 	menuaction_s		nextweapon;
@@ -221,7 +205,6 @@ typedef struct
 	menuaction_s		chat2;
 	menuaction_s		chat3;
 	menuaction_s		chat4;
-        menuaction_s		voip_talk;
 	menuradiobutton_s	joyenable;
 	menuslider_s		joythreshold;
 	int					section;
@@ -240,40 +223,37 @@ typedef struct
 
 static controls_t s_controls;
 
-static vec4_t controls_binding_color  = {1.00f, 0.43f, 0.00f, 1.00f}; // bk: Win32 C4305
+static vec4_t controls_binding_color  = {1.00f, 0.43f, 0.00f, 1.00f};
 
 static bind_t g_bindings[] = 
 {
-	{"+scores",		"show scores",		ID_SHOWSCORES,	ANIM_IDLE,		K_TAB,			-1,		-1, -1},
-	{"+button2",		"use item",		ID_USEITEM,		ANIM_IDLE,		K_ENTER,		-1,		-1, -1},
-	{"+speed", 		"run / walk",		ID_SPEED,		ANIM_RUN,		K_SHIFT,		-1,		-1,	-1},
+	{"+scores",			"show scores",		ID_SHOWSCORES,	ANIM_IDLE,		K_TAB,			-1,		-1, -1},
+	{"+button2",		"use item",			ID_USEITEM,		ANIM_IDLE,		K_ENTER,		-1,		-1, -1},
+	{"+speed", 			"run / walk",		ID_SPEED,		ANIM_RUN,		K_SHIFT,		-1,		-1,	-1},
 	{"+forward", 		"walk forward",		ID_FORWARD,		ANIM_WALK,		K_UPARROW,		-1,		-1, -1},
-	{"+back", 		"backpedal",		ID_BACKPEDAL,	ANIM_BACK,		K_DOWNARROW,	-1,		-1, -1},
+	{"+back", 			"backpedal",		ID_BACKPEDAL,	ANIM_BACK,		K_DOWNARROW,	-1,		-1, -1},
 	{"+moveleft", 		"step left",		ID_MOVELEFT,	ANIM_STEPLEFT,	',',			-1,		-1, -1},
 	{"+moveright", 		"step right",		ID_MOVERIGHT,	ANIM_STEPRIGHT,	'.',			-1,		-1, -1},
-	{"+moveup",		"up / jump",		ID_MOVEUP,		ANIM_JUMP,		K_SPACE,		-1,		-1, -1},
+	{"+moveup",			"up / jump",		ID_MOVEUP,		ANIM_JUMP,		K_SPACE,		-1,		-1, -1},
 	{"+movedown",		"down / crouch",	ID_MOVEDOWN,	ANIM_CROUCH,	'c',			-1,		-1, -1},
-	{"+left", 		"turn left",		ID_LEFT,		ANIM_TURNLEFT,	K_LEFTARROW,	-1,		-1, -1},
-	{"+right", 		"turn right",		ID_RIGHT,		ANIM_TURNRIGHT,	K_RIGHTARROW,	-1,		-1, -1},
+	{"+left", 			"turn left",		ID_LEFT,		ANIM_TURNLEFT,	K_LEFTARROW,	-1,		-1, -1},
+	{"+right", 			"turn right",		ID_RIGHT,		ANIM_TURNRIGHT,	K_RIGHTARROW,	-1,		-1, -1},
 	{"+strafe", 		"sidestep / turn",	ID_STRAFE,		ANIM_IDLE,		K_ALT,			-1,		-1, -1},
-	{"+lookup", 		"look up",		ID_LOOKUP,		ANIM_LOOKUP,	K_PGDN,			-1,		-1, -1},
+	{"+lookup", 		"look up",			ID_LOOKUP,		ANIM_LOOKUP,	K_PGDN,			-1,		-1, -1},
 	{"+lookdown", 		"look down",		ID_LOOKDOWN,	ANIM_LOOKDOWN,	K_DEL,			-1,		-1, -1},
-	{"+mlook", 		"mouse look",		ID_MOUSELOOK,	ANIM_IDLE,		'/',			-1,		-1, -1},
+	{"+mlook", 			"mouse look",		ID_MOUSELOOK,	ANIM_IDLE,		'/',			-1,		-1, -1},
 	{"centerview", 		"center view",		ID_CENTERVIEW,	ANIM_IDLE,		K_END,			-1,		-1, -1},
-	{"+zoom", 		"zoom view",		ID_ZOOMVIEW,	ANIM_IDLE,	-1,	-1,	-1, -1},
-	{"weapon 1",		"gauntlet",		ID_WEAPON1,	ANIM_WEAPON1,	'1',	-1,	-1, -1},
-	{"weapon 2",		"machinegun",		ID_WEAPON2,	ANIM_WEAPON2,	'2',	-1,	-1, -1},
-	{"weapon 3",		"shotgun",		ID_WEAPON3,	ANIM_WEAPON3,	'3',	-1,	-1, -1},
-	{"weapon 4",		"grenade launcher",	ID_WEAPON4,	ANIM_WEAPON4,	'4',	-1,	-1, -1},
-	{"weapon 5",		"rocket launcher",	ID_WEAPON5,	ANIM_WEAPON5,	'5',	-1,	-1, -1},
-	{"weapon 6",		"lightning",		ID_WEAPON6,	ANIM_WEAPON6,	'6',	-1,	-1, -1},
-	{"weapon 7",		"railgun",		ID_WEAPON7,	ANIM_WEAPON7,	'7',	-1,	-1, -1},
-	{"weapon 8",		"plasma gun",		ID_WEAPON8,	ANIM_WEAPON8,	'8',	-1,	-1, -1},
-	{"weapon 9",		"BFG",			ID_WEAPON9,	ANIM_WEAPON9,	'9',	-1,	-1, -1},
-        {"weapon 11",		"nailgun",		ID_WEAPON11,	ANIM_WEAPON11,	-1,	-1,	-1, -1},
-        {"weapon 12",		"mine Launcher",	ID_WEAPON12,	ANIM_WEAPON12,	-1,	-1,	-1, -1},
-        {"weapon 13",		"chaingun",		ID_WEAPON13,	ANIM_WEAPON13,	-1,	-1,	-1, -1},
-	{"+attack", 		"attack",		ID_ATTACK,	ANIM_ATTACK,	K_CTRL,			-1,		-1, -1},
+	{"+zoom", 			"zoom view",		ID_ZOOMVIEW,	ANIM_IDLE,		-1,				-1,		-1, -1},
+	{"weapon 1",		"gauntlet",			ID_WEAPON1,		ANIM_WEAPON1,	'1',			-1,		-1, -1},
+	{"weapon 2",		"machinegun",		ID_WEAPON2,		ANIM_WEAPON2,	'2',			-1,		-1, -1},
+	{"weapon 3",		"shotgun",			ID_WEAPON3,		ANIM_WEAPON3,	'3',			-1,		-1, -1},
+	{"weapon 4",		"grenade launcher",	ID_WEAPON4,		ANIM_WEAPON4,	'4',			-1,		-1, -1},
+	{"weapon 5",		"rocket launcher",	ID_WEAPON5,		ANIM_WEAPON5,	'5',			-1,		-1, -1},
+	{"weapon 6",		"lightning",		ID_WEAPON6,		ANIM_WEAPON6,	'6',			-1,		-1, -1},
+	{"weapon 7",		"railgun",			ID_WEAPON7,		ANIM_WEAPON7,	'7',			-1,		-1, -1},
+	{"weapon 8",		"plasma gun",		ID_WEAPON8,		ANIM_WEAPON8,	'8',			-1,		-1, -1},
+	{"weapon 9",		"BFG",				ID_WEAPON9,		ANIM_WEAPON9,	'9',			-1,		-1, -1},
+	{"+attack", 		"attack",			ID_ATTACK,		ANIM_ATTACK,	K_CTRL,			-1,		-1, -1},
 	{"weapprev",		"prev weapon",		ID_WEAPPREV,	ANIM_IDLE,		'[',			-1,		-1, -1},
 	{"weapnext", 		"next weapon",		ID_WEAPNEXT,	ANIM_IDLE,		']',			-1,		-1, -1},
 	{"+button3", 		"gesture",			ID_GESTURE,		ANIM_GESTURE,	K_MOUSE3,		-1,		-1, -1},
@@ -281,7 +261,6 @@ static bind_t g_bindings[] = 
 	{"messagemode2", 	"chat - team",		ID_CHAT2,		ANIM_CHAT,		-1,				-1,		-1, -1},
 	{"messagemode3", 	"chat - target",	ID_CHAT3,		ANIM_CHAT,		-1,				-1,		-1, -1},
 	{"messagemode4", 	"chat - attacker",	ID_CHAT4,		ANIM_CHAT,		-1,				-1,		-1, -1},
-        {"+voiprecord", 	"voice chat",           ID_VOIP_TALK,		ANIM_CHAT,		'q',				-1,		-1, -1},
 	{(char*)NULL,		(char*)NULL,		0,				0,				-1,				-1,		-1,	-1},
 };
 
@@ -327,10 +306,7 @@ static menucommon_s *g_weapons_controls[
 	(menucommon_s *)&s_controls.lightning,   
 	(menucommon_s *)&s_controls.railgun,          
 	(menucommon_s *)&s_controls.plasma,           
-	(menucommon_s *)&s_controls.bfg,
-        (menucommon_s *)&s_controls.nailgun,
-        (menucommon_s *)&s_controls.proxmine,
-        (menucommon_s *)&s_controls.chaingun,
+	(menucommon_s *)&s_controls.bfg,              
 	NULL,
 };
 
@@ -357,7 +333,6 @@ static menucommon_s *g_misc_controls[] =
 	(menucommon_s *)&s_controls.chat2,
 	(menucommon_s *)&s_controls.chat3,
 	(menucommon_s *)&s_controls.chat4,
-        (menucommon_s *)&s_controls.voip_talk,
 	NULL,
 };
 
@@ -544,18 +519,6 @@ static void Controls_UpdateModel( int an
 	case ANIM_WEAPON10:
 		s_controls.playerWeapon = WP_GRAPPLING_HOOK;
 		break;
-                
-        case ANIM_WEAPON11:
-		s_controls.playerWeapon = WP_NAILGUN;
-		break;
-              
-        case ANIM_WEAPON12:
-		s_controls.playerWeapon = WP_PROX_LAUNCHER;
-		break;
-                
-        case ANIM_WEAPON13:
-		s_controls.playerWeapon = WP_CHAINGUN;
-		break;
 
 	case ANIM_ATTACK:
 		s_controls.playerTorso = TORSO_ATTACK;
@@ -598,7 +561,6 @@ static void Controls_Update( void ) {
 	// disable all controls in all groups
 	for( i = 0; i < C_MAX; i++ ) {
 		controls = g_controls[i];
-		// bk001204 - parentheses
 		for( j = 0;  (control = controls[j]) ; j++ ) {
 			control->flags |= (QMF_HIDDEN|QMF_INACTIVE);
 		}
@@ -607,14 +569,12 @@ static void Controls_Update( void ) {
 	controls = g_controls[s_controls.section];
 
 	// enable controls in active group (and count number of items for vertical centering)
-	// bk001204 - parentheses
 	for( j = 0;  (control = controls[j]) ; j++ ) {
 		control->flags &= ~(QMF_GRAYED|QMF_HIDDEN|QMF_INACTIVE);
 	}
 
 	// position controls
 	y = ( SCREEN_HEIGHT - j * SMALLCHAR_HEIGHT ) / 2;
-	// bk001204 - parentheses
 	for( j = 0;	(control = controls[j]) ; j++, y += SMALLCHAR_HEIGHT ) {
 		control->x      = 320;
 		control->y      = y;
@@ -1431,24 +1391,6 @@ static void Controls_MenuInit( void )
 	s_controls.bfg.generic.callback  = Controls_ActionEvent;
 	s_controls.bfg.generic.ownerdraw = Controls_DrawKeyBinding;
 	s_controls.bfg.generic.id        = ID_WEAPON9;
-        
-        s_controls.nailgun.generic.type	     = MTYPE_ACTION;
-	s_controls.nailgun.generic.flags     = QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS|QMF_GRAYED|QMF_HIDDEN;
-	s_controls.nailgun.generic.callback  = Controls_ActionEvent;
-	s_controls.nailgun.generic.ownerdraw = Controls_DrawKeyBinding;
-	s_controls.nailgun.generic.id        = ID_WEAPON11;
-        
-        s_controls.proxmine.generic.type	     = MTYPE_ACTION;
-	s_controls.proxmine.generic.flags     = QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS|QMF_GRAYED|QMF_HIDDEN;
-	s_controls.proxmine.generic.callback  = Controls_ActionEvent;
-	s_controls.proxmine.generic.ownerdraw = Controls_DrawKeyBinding;
-	s_controls.proxmine.generic.id        = ID_WEAPON12;
-        
-        s_controls.chaingun.generic.type	     = MTYPE_ACTION;
-	s_controls.chaingun.generic.flags     = QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS|QMF_GRAYED|QMF_HIDDEN;
-	s_controls.chaingun.generic.callback  = Controls_ActionEvent;
-	s_controls.chaingun.generic.ownerdraw = Controls_DrawKeyBinding;
-	s_controls.chaingun.generic.id        = ID_WEAPON13;
 
 	s_controls.attack.generic.type	    = MTYPE_ACTION;
 	s_controls.attack.generic.flags     = QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS|QMF_GRAYED|QMF_HIDDEN;
@@ -1589,12 +1531,6 @@ static void Controls_MenuInit( void )
 	s_controls.chat4.generic.callback  = Controls_ActionEvent;
 	s_controls.chat4.generic.ownerdraw = Controls_DrawKeyBinding;
 	s_controls.chat4.generic.id        = ID_CHAT4;
-        
-        s_controls.voip_talk.generic.type	   = MTYPE_ACTION;
-	s_controls.voip_talk.generic.flags     = QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS|QMF_GRAYED|QMF_HIDDEN;
-	s_controls.voip_talk.generic.callback  = Controls_ActionEvent;
-	s_controls.voip_talk.generic.ownerdraw = Controls_DrawKeyBinding;
-	s_controls.voip_talk.generic.id        = ID_VOIP_TALK;
 
 	s_controls.joyenable.generic.type      = MTYPE_RADIOBUTTON;
 	s_controls.joyenable.generic.flags	   = QMF_SMALLFONT;
@@ -1670,9 +1606,6 @@ static void Controls_MenuInit( void )
 	Menu_AddItem( &s_controls.menu, &s_controls.railgun );
 	Menu_AddItem( &s_controls.menu, &s_controls.plasma );
 	Menu_AddItem( &s_controls.menu, &s_controls.bfg );
-        Menu_AddItem( &s_controls.menu, &s_controls.nailgun );
-        Menu_AddItem( &s_controls.menu, &s_controls.proxmine );
-        Menu_AddItem( &s_controls.menu, &s_controls.chaingun );
 
 	Menu_AddItem( &s_controls.menu, &s_controls.showscores );
 	Menu_AddItem( &s_controls.menu, &s_controls.useitem );
@@ -1681,7 +1614,6 @@ static void Controls_MenuInit( void )
 	Menu_AddItem( &s_controls.menu, &s_controls.chat2 );
 	Menu_AddItem( &s_controls.menu, &s_controls.chat3 );
 	Menu_AddItem( &s_controls.menu, &s_controls.chat4 );
-        Menu_AddItem( &s_controls.menu, &s_controls.voip_talk );
 
 	Menu_AddItem( &s_controls.menu, &s_controls.back );
 
diff -upr ioquake3svn1438/code/q3_ui/ui_credits.c ioquake3serverFix/code/q3_ui/ui_credits.c
--- ioquake3svn1438/code/q3_ui/ui_credits.c	2008-06-28 18:00:24.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_credits.c	2008-08-09 11:28:12.000000000 -0500
@@ -28,22 +28,59 @@ CREDITS
 =======================================================================
 */
 
-/*
- *Sago 2008-06-29: This is kinda annoying and does not really give usefull information anyway
- */
-
 
 #include "ui_local.h"
 
 
 typedef struct {
 	menuframework_s	menu;
+	int frame;
 } creditsmenu_t;
 
 static creditsmenu_t	s_credits;
 
 
 /*
+===============
+UI_CreditMenu_Draw_ioq3
+===============
+*/
+static void UI_CreditMenu_Draw_ioq3( void ) {
+	int		y;
+	int		i;
+
+	// These are all people that have made commits to Subversion, and thus
+	//  probably incomplete.
+	// (These are in alphabetical order, for the defense of everyone's egos.)
+	static const char *names[] = {
+		"Tim Angus",
+		"Vincent Cojot",
+		"Ryan C. Gordon",
+		"Aaron Gyes",
+		"Ludwig Nussel",
+		"Julian Priestley",
+		"Scirocco Six",
+		"Thilo Schulz",
+		"Zachary J. Slater",
+		"Tony J. White",
+		"...and many, many others!",  // keep this one last.
+		NULL
+	};
+
+	y = 12;
+	UI_DrawProportionalString( 320, y, "ioquake3 contributors:", UI_CENTER|UI_SMALLFONT, color_white );
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+
+	for (i = 0; names[i]; i++) {
+		UI_DrawProportionalString( 320, y, names[i], UI_CENTER|UI_SMALLFONT, color_white );
+		y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	}
+
+	UI_DrawString( 320, 459, "http://www.ioquake3.org/", UI_CENTER|UI_SMALLFONT, color_red );
+}
+
+
+/*
 =================
 UI_CreditMenu_Key
 =================
@@ -53,8 +90,12 @@ static sfxHandle_t UI_CreditMenu_Key( in
 		return 0;
 	}
 
-        //Sago: I no longer show credits on close. Consider something else if ingame credits are to be made
-	//trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
+	s_credits.frame++;
+	if (s_credits.frame == 1) {
+		s_credits.menu.draw = UI_CreditMenu_Draw_ioq3;
+	} else {
+		trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
+	}
 	return 0;
 }
 
@@ -68,15 +109,54 @@ static void UI_CreditMenu_Draw( void ) {
 	int		y;
 
 	y = 12;
-	UI_DrawProportionalString( 320, y, "Thank you for playing", UI_CENTER|UI_SMALLFONT, color_white );
+	UI_DrawProportionalString( 320, y, "id Software is:", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Programming", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "John Carmack, Robert A. Duffy, Jim Dose'", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Art", UI_CENTER|UI_SMALLFONT, color_white );
 	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
-	UI_DrawProportionalString( 320, y, "Open Arena", UI_CENTER|UI_SMALLFONT, color_white );
-	
-	//y += 28;
-	//UI_DrawString( 320, y, "Click or press any key to quit", UI_CENTER|UI_SMALLFONT, color_red );
-        
-        y = 480 - PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
-	UI_DrawProportionalString( 320, y, "www.openarena.ws", UI_CENTER|UI_SMALLFONT, color_white );
+	UI_DrawProportionalString( 320, y, "Adrian Carmack, Kevin Cloud,", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Kenneth Scott, Seneca Menard, Fred Nilsson", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Game Designer", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Graeme Devine", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Level Design", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Tim Willits, Christian Antkow, Paul Jaquays", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "CEO", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Todd Hollenshead", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Director of Business Development", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Marty Stratton", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Biz Assist and id Mom", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Donna Jackson", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.42 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Development Assistance", UI_CENTER|UI_SMALLFONT, color_white );
+	y += PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawProportionalString( 320, y, "Eric Webb", UI_CENTER|UI_SMALLFONT, color_white );
+
+	y += 1.35 * PROP_HEIGHT * PROP_SMALL_SIZE_SCALE;
+	UI_DrawString( 320, y, "To order: 1-800-idgames     www.quake3arena.com     www.idsoftware.com", UI_CENTER|UI_SMALLFONT, color_red );
+	y += SMALLCHAR_HEIGHT;
+	UI_DrawString( 320, y, "Quake III Arena(c) 1999-2000, Id Software, Inc.  All Rights Reserved", UI_CENTER|UI_SMALLFONT, color_red );
 }
 
 
diff -upr ioquake3svn1438/code/q3_ui/ui_ingame.c ioquake3serverFix/code/q3_ui/ui_ingame.c
--- ioquake3svn1438/code/q3_ui/ui_ingame.c	2008-06-28 18:12:57.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_ingame.c	2008-08-09 11:28:12.000000000 -0500
@@ -92,8 +92,7 @@ static void InGame_QuitAction( qboolean 
 		return;
 	}
 	UI_PopMenu();
-	//UI_CreditMenu();
-        trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
+	UI_CreditMenu();
 }
 
 
@@ -227,7 +226,7 @@ void InGame_MenuInit( void ) {
 	s_ingame.teamorders.string				= "TEAM ORDERS";
 	s_ingame.teamorders.color				= color_red;
 	s_ingame.teamorders.style				= UI_CENTER|UI_SMALLFONT;
-	if( !(trap_Cvar_VariableValue( "g_gametype" ) >= GT_TEAM) || (trap_Cvar_VariableValue( "g_gametype" ) == GT_LMS ) ) {
+	if( !(trap_Cvar_VariableValue( "g_gametype" ) >= GT_TEAM) ) {
 		s_ingame.teamorders.generic.flags |= QMF_GRAYED;
 	}
 	else {
diff -upr ioquake3svn1438/code/q3_ui/ui_local.h ioquake3serverFix/code/q3_ui/ui_local.h
--- ioquake3svn1438/code/q3_ui/ui_local.h	2008-06-29 09:09:31.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_local.h	2008-08-09 11:28:12.000000000 -0500
@@ -26,7 +26,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #include "../qcommon/q_shared.h"
 #include "../renderer/tr_types.h"
 //NOTE: include the ui_public.h from the new UI
-#include "../ui/ui_public.h" // bk001205 - yes, do have to use this
+#include "../ui/ui_public.h"
 //redefine to old API version
 #undef UI_API_VERSION
 #define UI_API_VERSION	4
@@ -49,20 +49,6 @@ extern vmCvar_t	ui_ctf_capturelimit;
 extern vmCvar_t	ui_ctf_timelimit;
 extern vmCvar_t	ui_ctf_friendly;
 
-extern vmCvar_t	ui_elimination_capturelimit;
-extern vmCvar_t	ui_elimination_timelimit;
-
-
-extern vmCvar_t	ui_ctf_elimination_capturelimit;
-extern vmCvar_t	ui_ctf_elimination_timelimit;
-
-extern vmCvar_t	ui_lms_fraglimit;
-extern vmCvar_t	ui_lms_timelimit;
-
-extern vmCvar_t	ui_dd_capturelimit;
-extern vmCvar_t	ui_dd_timelimit;
-extern vmCvar_t	ui_dd_friendly;
-
 extern vmCvar_t	ui_arenasFile;
 extern vmCvar_t	ui_botsFile;
 extern vmCvar_t	ui_spScores1;
@@ -106,9 +92,8 @@ extern vmCvar_t	ui_server16;
 
 extern vmCvar_t	ui_cdkey;
 extern vmCvar_t	ui_cdkeychecked;
+extern vmCvar_t	ui_ioq3;
 
-//new in beta 23:
-extern vmCvar_t ui_browserOnlyHumans;
 
 //
 // ui_qmenu.c
@@ -157,10 +142,6 @@ extern vmCvar_t ui_browserOnlyHumans;
 #define QMF_UPPERCASE			0x00080000	// edit field is all upper case
 #define QMF_SILENT				0x00100000
 
-//for cgs.ffa_gt and g_ffa kinda leary about this...
-//#define FREEFORALL			(s_serveroptions.gametype==GT_LMS)
-//#define TRAP_FREEFORALL			(trap_Cvar_VariableValue( "g_gametype" ) == GT_LMS)
-
 // callback notifications
 #define QM_GOTFOCUS				1
 #define QM_LOSTFOCUS			2
@@ -698,7 +679,7 @@ int				trap_MemoryRemaining( void );
 void			trap_GetCDKey( char *buf, int buflen );
 void			trap_SetCDKey( char *buf );
 
-qboolean               trap_VerifyCDKey( const char *key, const char *chksum); // bk001208 - RC4
+qboolean               trap_VerifyCDKey( const char *key, const char *chksum);
 
 void			trap_SetPbClStatus( int status );
 
diff -upr ioquake3svn1438/code/q3_ui/ui_main.c ioquake3serverFix/code/q3_ui/ui_main.c
--- ioquake3svn1438/code/q3_ui/ui_main.c	2008-06-29 09:06:58.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_main.c	2008-08-09 11:28:12.000000000 -0500
@@ -79,7 +79,7 @@ intptr_t vmMain( int command, int arg0, 
 		UI_DrawConnectScreen( arg0 );
 		return 0;
 	case UI_HASUNIQUECDKEY:				// mod authors need to observe this
-		return qtrue;  // bk010117 - change this to qfalse for mods!
+		return qtrue;  // change this to qfalse for mods!
 	}
 
 	return -1;
@@ -113,19 +113,6 @@ vmCvar_t	ui_ctf_capturelimit;
 vmCvar_t	ui_ctf_timelimit;
 vmCvar_t	ui_ctf_friendly;
 
-vmCvar_t	ui_elimination_capturelimit;
-vmCvar_t	ui_elimination_timelimit;
-
-vmCvar_t	ui_ctf_elimination_capturelimit;
-vmCvar_t	ui_ctf_elimination_timelimit;
-
-vmCvar_t	ui_lms_fraglimit;
-vmCvar_t	ui_lms_timelimit;
-
-vmCvar_t	ui_dd_capturelimit;
-vmCvar_t	ui_dd_timelimit;
-vmCvar_t	ui_dd_friendly;
-
 vmCvar_t	ui_arenasFile;
 vmCvar_t	ui_botsFile;
 vmCvar_t	ui_spScores1;
@@ -168,11 +155,8 @@ vmCvar_t	ui_server15;
 vmCvar_t	ui_server16;
 
 vmCvar_t	ui_cdkeychecked;
+vmCvar_t	ui_ioq3;
 
-//new in beta 23:
-vmCvar_t        ui_browserOnlyHumans;
-
-// bk001129 - made static to avoid aliasing.
 static cvarTable_t		cvarTable[] = {
 	{ &ui_ffa_fraglimit, "ui_ffa_fraglimit", "20", CVAR_ARCHIVE },
 	{ &ui_ffa_timelimit, "ui_ffa_timelimit", "0", CVAR_ARCHIVE },
@@ -188,19 +172,6 @@ static cvarTable_t		cvarTable[] = {
 	{ &ui_ctf_timelimit, "ui_ctf_timelimit", "30", CVAR_ARCHIVE },
 	{ &ui_ctf_friendly, "ui_ctf_friendly",  "0", CVAR_ARCHIVE },
 
-	{ &ui_elimination_capturelimit, "ui_elimination_capturelimit", "8", CVAR_ARCHIVE },
-	{ &ui_elimination_timelimit, "ui_elimination_timelimit", "20", CVAR_ARCHIVE },
-
-	{ &ui_ctf_elimination_capturelimit, "ui_ctf_elimination_capturelimit", "8", CVAR_ARCHIVE },
-	{ &ui_ctf_elimination_timelimit, "ui_ctf_elimination_timelimit", "30", CVAR_ARCHIVE },
-
-	{ &ui_lms_fraglimit, "ui_lms_fraglimit", "20", CVAR_ARCHIVE },
-	{ &ui_lms_timelimit, "ui_lms_timelimit", "0", CVAR_ARCHIVE },
-        
-	{ &ui_dd_capturelimit, "ui_dd_capturelimit", "8", CVAR_ARCHIVE },
-	{ &ui_dd_timelimit, "ui_dd_timelimit", "30", CVAR_ARCHIVE },
-	{ &ui_dd_friendly, "ui_dd_friendly",  "0", CVAR_ARCHIVE },
-
 	{ &ui_arenasFile, "g_arenasFile", "", CVAR_INIT|CVAR_ROM },
 	{ &ui_botsFile, "g_botsFile", "", CVAR_INIT|CVAR_ROM },
 	{ &ui_spScores1, "g_spScores1", "", CVAR_ARCHIVE | CVAR_ROM },
@@ -243,12 +214,9 @@ static cvarTable_t		cvarTable[] = {
 	{ &ui_server16, "server16", "", CVAR_ARCHIVE },
 
 	{ &ui_cdkeychecked, "ui_cdkeychecked", "0", CVAR_ROM },
-        
-        //new in beta 23:
-        { &ui_browserOnlyHumans, "ui_browserOnlyHumans", "0", CVAR_ARCHIVE },
+	{ &ui_ioq3, "ui_ioq3", "1", CVAR_ROM }
 };
 
-// bk001129 - made static to avoid aliasing
 static int cvarTableSize = sizeof(cvarTable) / sizeof(cvarTable[0]);
 
 
diff -upr ioquake3svn1438/code/q3_ui/ui_menu.c ioquake3serverFix/code/q3_ui/ui_menu.c
--- ioquake3svn1438/code/q3_ui/ui_menu.c	2008-08-06 12:23:31.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_menu.c	2008-08-09 11:28:12.000000000 -0500
@@ -36,7 +36,7 @@ MAIN MENU
 #define ID_MULTIPLAYER			11
 #define ID_SETUP				12
 #define ID_DEMOS				13
-//#define ID_CINEMATICS			14
+#define ID_CINEMATICS			14
 #define ID_TEAMARENA		15
 #define ID_MODS					16
 #define ID_EXIT					17
@@ -52,7 +52,7 @@ typedef struct {
 	menutext_s		multiplayer;
 	menutext_s		setup;
 	menutext_s		demos;
-	//menutext_s		cinematics;
+	menutext_s		cinematics;
 	menutext_s		teamArena;
 	menutext_s		mods;
 	menutext_s		exit;
@@ -80,8 +80,7 @@ static void MainMenu_ExitAction( qboolea
 		return;
 	}
 	UI_PopMenu();
-	//UI_CreditMenu();
-        trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
+	UI_CreditMenu();
 }
 
 
@@ -113,9 +112,9 @@ void Main_MenuEvent (void* ptr, int even
 		UI_DemosMenu();
 		break;
 
-	/*case ID_CINEMATICS:
+	case ID_CINEMATICS:
 		UI_CinematicsMenu();
-		break;*/
+		break;
 
 	case ID_MODS:
 		UI_ModsMenu();
@@ -222,16 +221,12 @@ static void Main_MenuDraw( void ) {
 		Menu_Draw( &s_main.menu );		
 	}
 
-		UI_DrawProportionalString( 320, 372, "", UI_CENTER|UI_SMALLFONT, color );
-		UI_DrawString( 320, 400, "OpenArena(c) 2005-2008 OpenArena Team", UI_CENTER|UI_SMALLFONT, color );
-		UI_DrawString( 320, 414, "OpenArena comes with ABSOLUTELY NO WARRANTY; this is free software", UI_CENTER|UI_SMALLFONT, color );
-		UI_DrawString( 320, 428, "and you are welcome to redistribute it under certain conditions;", UI_CENTER|UI_SMALLFONT, color );
-		UI_DrawString( 320, 444, "read COPYING for details.", UI_CENTER|UI_SMALLFONT, color );
-                
-                //Draw version.
-                UI_DrawString( 640-40, 480-14, "^70.8.0", UI_SMALLFONT, color );
-                if((int)trap_Cvar_VariableValue("protocol")!=70)
-                    UI_DrawString( 0, 480-14, va("^7Protocol: %i",(int)trap_Cvar_VariableValue("protocol")), UI_SMALLFONT, color);
+	if (uis.demoversion) {
+		UI_DrawProportionalString( 320, 372, "DEMO      FOR MATURE AUDIENCES      DEMO", UI_CENTER|UI_SMALLFONT, color );
+		UI_DrawString( 320, 400, "Quake III Arena(c) 1999-2000, Id Software, Inc.  All Rights Reserved", UI_CENTER|UI_SMALLFONT, color );
+	} else {
+		UI_DrawString( 320, 450, "Quake III Arena(c) 1999-2000, Id Software, Inc.  All Rights Reserved", UI_CENTER|UI_SMALLFONT, color );
+	}
 }
 
 
@@ -359,7 +354,7 @@ void UI_MainMenu( void ) {
 	s_main.demos.color						= color_red;
 	s_main.demos.style						= style;
 
-	/*y += MAIN_MENU_VERTICAL_SPACING;
+	y += MAIN_MENU_VERTICAL_SPACING;
 	s_main.cinematics.generic.type			= MTYPE_PTEXT;
 	s_main.cinematics.generic.flags			= QMF_CENTER_JUSTIFY|QMF_PULSEIFFOCUS;
 	s_main.cinematics.generic.x				= 320;
@@ -368,7 +363,7 @@ void UI_MainMenu( void ) {
 	s_main.cinematics.generic.callback		= Main_MenuEvent; 
 	s_main.cinematics.string				= "CINEMATICS";
 	s_main.cinematics.color					= color_red;
-	s_main.cinematics.style					= style;*/
+	s_main.cinematics.style					= style;
 
 	if (UI_TeamArenaExists()) {
 		teamArena = qtrue;
@@ -379,7 +374,7 @@ void UI_MainMenu( void ) {
 		s_main.teamArena.generic.y				= y;
 		s_main.teamArena.generic.id				= ID_TEAMARENA;
 		s_main.teamArena.generic.callback		= Main_MenuEvent; 
-		s_main.teamArena.string					= "MISSION PACK";
+		s_main.teamArena.string					= "TEAM ARENA";
 		s_main.teamArena.color					= color_red;
 		s_main.teamArena.style					= style;
 	}
@@ -410,7 +405,7 @@ void UI_MainMenu( void ) {
 	Menu_AddItem( &s_main.menu,	&s_main.multiplayer );
 	Menu_AddItem( &s_main.menu,	&s_main.setup );
 	Menu_AddItem( &s_main.menu,	&s_main.demos );
-	//Menu_AddItem( &s_main.menu,	&s_main.cinematics );
+	Menu_AddItem( &s_main.menu,	&s_main.cinematics );
 	if (teamArena) {
 		Menu_AddItem( &s_main.menu,	&s_main.teamArena );
 	}
diff -upr ioquake3svn1438/code/q3_ui/ui_mfield.c ioquake3serverFix/code/q3_ui/ui_mfield.c
--- ioquake3svn1438/code/q3_ui/ui_mfield.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_mfield.c	2008-08-09 11:28:12.000000000 -0500
@@ -140,14 +140,14 @@ void MField_KeyDownEvent( mfield_t *edit
 	int		len;
 
 	// shift-insert is paste
-	if ( ( key == K_INS ) && trap_Key_IsDown( K_SHIFT ) ) {
+	if ( ( ( key == K_INS ) || ( key == K_KP_INS ) ) && trap_Key_IsDown( K_SHIFT ) ) {
 		MField_Paste( edit );
 		return;
 	}
 
 	len = strlen( edit->buffer );
 
-	if ( key == K_DEL ) {
+	if ( key == K_DEL || key == K_KP_DEL ) {
 		if ( edit->cursor < len ) {
 			memmove( edit->buffer + edit->cursor, 
 				edit->buffer + edit->cursor + 1, len - edit->cursor );
@@ -155,7 +155,7 @@ void MField_KeyDownEvent( mfield_t *edit
 		return;
 	}
 
-	if ( key == K_RIGHTARROW ) 
+	if ( key == K_RIGHTARROW || key == K_KP_RIGHTARROW ) 
 	{
 		if ( edit->cursor < len ) {
 			edit->cursor++;
@@ -167,7 +167,7 @@ void MField_KeyDownEvent( mfield_t *edit
 		return;
 	}
 
-	if ( key == K_LEFTARROW ) 
+	if ( key == K_LEFTARROW || key == K_KP_LEFTARROW ) 
 	{
 		if ( edit->cursor > 0 ) {
 			edit->cursor--;
@@ -179,13 +179,13 @@ void MField_KeyDownEvent( mfield_t *edit
 		return;
 	}
 
-	if ( key == K_HOME || ( tolower(key) == 'a' && trap_Key_IsDown( K_CTRL ) ) ) {
+	if ( key == K_HOME || key == K_KP_HOME || ( tolower(key) == 'a' && trap_Key_IsDown( K_CTRL ) ) ) {
 		edit->cursor = 0;
 		edit->scroll = 0;
 		return;
 	}
 
-	if ( key == K_END || ( tolower(key) == 'e' && trap_Key_IsDown( K_CTRL ) ) ) {
+	if ( key == K_END || key == K_KP_END || ( tolower(key) == 'e' && trap_Key_IsDown( K_CTRL ) ) ) {
 		edit->cursor = len;
 		edit->scroll = len - edit->widthInChars + 1;
 		if (edit->scroll < 0)
@@ -193,7 +193,7 @@ void MField_KeyDownEvent( mfield_t *edit
 		return;
 	}
 
-	if ( key == K_INS  ) {
+	if ( key == K_INS || key == K_KP_INS ) {
 		trap_Key_SetOverstrikeMode( !trap_Key_GetOverstrikeMode() );
 		return;
 	}
@@ -408,7 +408,9 @@ sfxHandle_t MenuField_Key( menufield_s* 
 			break;
 
 		case K_TAB:
+		case K_KP_DOWNARROW:
 		case K_DOWNARROW:
+		case K_KP_UPARROW:
 		case K_UPARROW:
 			break;
 
diff -upr ioquake3svn1438/code/q3_ui/ui_mods.c ioquake3serverFix/code/q3_ui/ui_mods.c
--- ioquake3svn1438/code/q3_ui/ui_mods.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_mods.c	2008-08-09 15:22:37.000000000 -0500
@@ -106,42 +106,6 @@ static void UI_Mods_ParseInfos( char *mo
 }
 
 
-#if 0 // bk001204 - unused
-/*
-===============
-UI_Mods_LoadModsFromFile
-===============
-*/
-static void UI_Mods_LoadModsFromFile( char *filename ) {
-	int				len;
-	fileHandle_t	f;
-	char			buf[1024];
-
-	len = trap_FS_FOpenFile( filename, &f, FS_READ );
-	if ( !f ) {
-		trap_Print( va( S_COLOR_RED "file not found: %s\n", filename ) );
-		return;
-	}
-	if ( len >= sizeof(buf) ) {
-		trap_Print( va( S_COLOR_RED "file too large: %s is %i, max allowed is %i", filename, len, sizeof(buf) ) );
-		trap_FS_FCloseFile( f );
-		return;
-	}
-
-	trap_FS_Read( buf, len, f );
-	buf[len] = 0;
-	trap_FS_FCloseFile( f );
-
-	len = strlen( filename );
-	if( !Q_stricmp(filename +  len - 4,".mod") ) {
-		filename[len-4] = '\0';
-	}
-
-	UI_Mods_ParseInfos( filename, buf );
-}
-#endif
-
-
 /*
 ===============
 UI_Mods_LoadMods
Only in ioquake3svn1438/code/q3_ui: ui_mods.c.orig
Only in ioquake3svn1438/code/q3_ui: ui_mods.c.rej
